import * as _ from 'lodash';
import { Input } from 'antd';
import * as React from 'react';
import { useFela } from 'react-fela';

const { Search } = Input;

const ExtensionSearchForm: React.SFC<any> = ({ onSearch }) => {
  const { css } = useFela();
  return (
    <Search
      size="large"
      onSearch={onSearch}
      className={css(styles.root)}
      placeholder="Extension name..."
    />
  );
};

const styles = {
  root: props => ({
    borderRadius: 0,
  }),
};

export { ExtensionSearchForm };
